Subject: Re: [Pce] Changes in the new revision of the architecture I-D

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 3 Aug 2005 09:51:24 +0100

Hi Igor,

Sorry I missed this while travelling...

> I think that the architectureID is exactly the right context. It seems
to me
> a hole in the arhcitecture, what other context do you have in mind?

JP's email says:
- policy should be discussed in the archiecture
- policy requirements shoiuld not be discussed in the architecture

Hopefully this is consistent with what I said in the PCE meeting. That is:
- We will add policy to the architecture I-D as an importnat funcitonal
component of PCE
- We will develop the policy requirements as a separate requirements I-D
- We will work on any protocol extensions as a separate I-D, but may fold
them into the PCE-PCC and discovery protocol I-Ds depending on when they
are complete.

Cheers,
Adrian

>
> Igor
>
> ----- Original Message ----- 
> From: "JP Vasseur" <[email-masked]>
> To: "Lou Berger" <[email-masked]>; "Igor Bryskin"
<[email-masked]>
> Cc: "Adrian Farrel" <[email-masked]>; "Ash, Gerald R (Jerry),
ALABS"
> <[email-masked]>; <[email-masked]>
> Sent: Wednesday, July 27, 2005 3:46 PM
> Subject: Re: [Pce] Changes in the new revision of the architecture I-D
>
>
> > Hi Lou,
> >
> > On Jul 27, 2005, at 10:33 AM, Lou Berger wrote:
> >
> > > Igor,
> > >         My primary point was that we need to ensure that we fully
> > > consider policy in the architecture (and the resulting
> > > instantiation of the architecture).
> > >
> > > The point you raise is a reasonable one up due to such
> > > consideration. Although rather than make a statement on the
> > > requirement, I would ask the question, does policy being applied at
> > > PCE2 need to know the identity of PCC?
> > > (I'm not sure...)
> > >
> >
> > This is exactly what I was also about to reply. Indeed, I think that
> > we all welcome your useful suggestion to devote more text to Policy
> > in the architecture ID since it deserves more focus. On the other
> > hand, this does require more discussion on the mailing list to
> > determine what the requirements are. Furthermore, requirements should
> > not be discussed in the architecture ID and it is pretty likely that
> > new requirements related to policy will arise when discussing the
> > application-specific requirements IDs.
> >
> > Thanks.
> >
> > JP.
> >
> > > Much thanks,
> > > Lou
> > >
> > > At 10:00 AM 7/27/2005, Bryskin, Igor wrote:
> > >
> > >
> > >> Hi,
> > >>
> > >> I think Lou has just brought up a very important discussion.
> > >>
> > >> A PCE can apply a policy for a particular path computation request
> > >> only IFF
> > >> it can identify original requestor. Consider the situation when a
> > >> single
> > >> request involves 2 PCEs: PCC<=>PCE1<=>PCE2.
> > >>
> > >> PCE1 can identify the PCC and apply the polices for this PCC or
> > >> this class
> > >> of PCCs. However, PCE2 will not be capable to identify PCC ( we
> > >> seem to
> > >> agree already that PCC-PCE and PCE-PCE is the same protocol, hence
> > >> PCE2 will
> > >> see PCE1 as PCC), and will apply a wrong policy. For instance, it
> > >> may invoke
> > >> a computationally expensive algorithm, which it won't do if the PCC
> > >> requested computation directly from PCC2.
> > >>
> > >> So, in the architecture document the reasons should be described
> > >> why the
> > >> identity of the original requestor should be available for all
> > >> PCEs involved
> > >> in particular path computation request. Secondly, the same point
> > >> should be
> > >> reflected in the path computation communication protocol
> > >> requirements.
> > >>
> > >> Igor
> > >>
> > >> ----- Original Message -----
> > >> From: "Lou Berger" <[email-masked]>
> > >> To: "JP Vasseur" <[email-masked]>; "Adrian Farrel"
> > >> <[email-masked]>; "Ash, Gerald R (Jerry), ALABS"
<[email-masked]>
> > >> Cc: <[email-masked]>
> > >> Sent: Tuesday, July 26, 2005 7:14 PM
> > >> Subject: Re: [Pce] Changes in the new revision of the architecture
> > >> I-D
> > >>
> > >> > At 09:24 AM 7/23/2005, JP Vasseur wrote:
> > >> > >We think that the ID is pretty stable in term of technical
> > >> content.
> > >> > >As Adrian pointed out, there might be some editorial work to be
> > >> done
> > >> > >before WG last call. So the short answer is "as soon as
possible".
> > >> > >
> > >> > >Thanks.
> > >> > >
> > >> > >JP.
> > >> >
> > >> > JP/Adrian/Jerry,
> > >> >          As you say, the draft has come together very nicely.
The
> > >> > primary comment I have on the document is related to how policy
is
> > >> > presented in the draft:
> > >> >
> > >> > The draft does mention policy in multiple places, but these
> > >> mentions
> > >> > are more "in-passing" than as major component.  It seems to me
that
> > >> > Policy and the ability to support path computation based on, or
> > >> > influenced by policies, must be a major part of the PCE
> > >> > architecture.  I do agree with draft in that "policy between
> > >> domains
> > >> > and between PCEs, and is achieved through configuration not
through
> > >> > protocol communications."  That said, the PCC-PCE and PCE-PCE
> > >> > communication protocols must support the communication of all
> > >> > information needed to support the installed policies, as well as
> > >> > support any policy triggered transactions that may result due to
a
> > >> > policy (or change in policy).  Also, in order to deliver viable
> > >> > policy to PCE, policy must not be an after thought.  (Consider
how
> > >> > successful original RSVP was with bringing in policy after the
core
> > >> > work was complete.)
> > >> >
> > >> > In short, I think policy should be more prominent in the draft
> > >> and in
> > >> > the PCE architecture.
> > >> >
> > >> > I suggest to:
> > >> > - add policy related motivations in section 4,
> > >> > - add a policy component to the PCE architecture(s) presented in
> > >> section
> > >> 5,
> > >> > - add a full fledged Policy sub-section to section 6 that is
> > >> separate
> > >> > from confidentiality.
> > >> > - and add a policy related evaluation metric to section 7.
> > >> >
> > >> > Please let me know what you think.
> > >> >
> > >> > I'll put together some specific text for fodder....
> > >> >
> > >> > Lou
> > >> >
> > >> >
> > >> > _______________________________________________
> > >> > Pce mailing list
> > >> > [email-masked]
> > >> > <https://www1.ietf.org/mailman/listinfo/pce>https://
> > >> www1.ietf.org/mailman/listinfo/pce
> > >> >
> > >
> >
>
>
>

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce